%global enable_tests 1
%global module_name create-error-class

Name:           nodejs-%{module_name}
Version:        3.0.2
Release:        3%{?dist}
Summary:        Create Error classes

License:        MIT
URL:            https://github.com/floatdrop/create-error-class
Source0:        https://github.com/floatdrop/%{module_name}/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(inherits)
BuildRequires:  npm(capture-stack-trace)

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Sun Feb 12 2017 Parag Nemade <pnemade AT redhat DOT com> - 3.0.2-3
- Fix the %%check section

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Apr 05 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.0.2-1
- Update to 3.0.2

* Thu Feb 25 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.0.1-1
- Update to 3.0.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 13 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.0.0-1
- Update to 3.0.0

* Thu Aug 06 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-2
- Add missing BuildRequires
- fix summary macro
- correct check section

* Thu Jul 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-1
- Initial packaging

